## filelight 20.12.0

=== CMakeLists.txt ===
#######################################################################
# Copyright 2008-2014  Martin Sandsmark <martin.sandsmark@kde.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License or (at your option) version 3 or any later version
# accepted by the membership of KDE e.V. (or its successor approved
# by the membership of KDE e.V.), which shall act as a proxy
# defined in Section 14 of version 3 of the license.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#######################################################################


# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "20")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "0")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
set(FILELIGHT_VERSION ${RELEASE_SERVICE_VERSION})
# minimum requirements

cmake_minimum_required (VERSION 3.5 FATAL_ERROR)
project(Filelight VERSION ${FILELIGHT_VERSION})

set(PROJECT_VERSION ${RELEASE_SERVICE_VERSION})
set(KF5_MIN_VERSION "5.71.0")
set(QT_REQUIRED_VERSION "5.12.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(ECMAddAppIcon)
include(ECMGenerateHeaders)
include(ECMInstallIcons)
include(ECMMarkNonGuiExecutable)
include(ECMOptionalAddSubdirectory)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Widgets Svg)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
    XmlGui # For app
    KIO # For part
    I18n
)
find_package(KF5DocTools) # Optional, not needed on Windows for example.

add_definitions(-DTRANSLATION_DOMAIN=\"filelight\")
if (KF5Config_VERSION VERSION_GREATER "5.56.0")
        add_definitions(-DQT_NO_FOREACH)
        MESSAGE(STATUS "compile without foreach")
endif()
include_directories(src)

add_subdirectory(src)
add_subdirectory(misc)
add_subdirectory(autotests)

if (KF5DocTools_FOUND)
    add_subdirectory(doc)
endif()

if (ECM_VERSION VERSION_GREATER "5.58.0")
    install(FILES filelight.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
else()
    install(FILES filelight.categories DESTINATION ${KDE_INSTALL_CONFDIR})
endif()

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== doc/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR filelight)

=== misc/CMakeLists.txt ===
#######################################################################
# Copyright 2008-2009  Martin Sandsmark <martin.sandsmark@kde.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License or (at your option) version 3 or any later version
# accepted by the membership of KDE e.V. (or its successor approved
# by the membership of KDE e.V.), which shall act as a proxy
# defined in Section 14 of version 3 of the license.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#######################################################################

install(PROGRAMS org.kde.filelight.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
install(FILES filelightrc DESTINATION ${CONFIG_INSTALL_DIR})
install(FILES filelightui.rc DESTINATION ${KXMLGUI_INSTALL_DIR}//filelight)
install(FILES org.kde.filelight.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

ecm_install_icons(ICONS
    16-apps-filelight.png
    22-apps-filelight.png
    32-apps-filelight.png
    48-apps-filelight.png
    64-apps-filelight.png
    128-apps-filelight.png
    DESTINATION ${ICON_INSTALL_DIR} THEME hicolor)

=== src/CMakeLists.txt ===
#######################################################################
# Copyright 2008-2014  Martin Sandsmark <martin.sandsmark@kde.org>
# Copyright 2017  Harald Sitter <sitter@kde.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License or (at your option) version 3 or any later version
# accepted by the membership of KDE e.V. (or its successor approved
# by the membership of KDE e.V.), which shall act as a proxy
# defined in Section 14 of version 3 of the license.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#######################################################################

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX FILELIGHT
    VERSION_HEADER version.h)

set(filelight_SRCS
    radialMap/widget.cpp
    radialMap/map.cpp
    radialMap/widgetEvents.cpp
    radialMap/labels.cpp
    scan.cpp
    progressBox.cpp
    Config.cpp
    settingsDialog.cpp
    fileTree.cpp
    localLister.cpp
    remoteLister.cpp
    summaryWidget.cpp
    historyAction.cpp
    mainWindow.cpp
    main.cpp
)
ecm_qt_declare_logging_category(filelight_SRCS HEADER filelight_debug.h IDENTIFIER FILELIGHT_LOG CATEGORY_NAME org.kde.filelight)

set(filelight_ICONS
    ${CMAKE_CURRENT_SOURCE_DIR}/../misc/16-apps-filelight.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../misc/32-apps-filelight.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../misc/48-apps-filelight.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../misc/64-apps-filelight.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../misc/128-apps-filelight.png
)
ecm_add_app_icon(filelight_SRCS ICONS
    ${filelight_ICONS})
ki18n_wrap_ui(filelight_SRCS dialog.ui)
add_executable(filelight ${filelight_SRCS})

target_link_libraries(filelight
    KF5::I18n
    KF5::XmlGui
    KF5::KIOWidgets # Only used for KDirLister, may be able to move away from that.
    Qt5::Svg
)
if (WIN32)
    find_package(KDEWin REQUIRED)
    target_link_libraries(filelight kdewin)
endif()

install(TARGETS filelight ${INSTALL_TARGETS_DEFAULT_ARGS})

=== autotests/core/CMakeLists.txt ===
SET(FILENAME_TEST_SRCS
    testFileTree.cpp
    ../../src/fileTree.cpp
)

ecm_add_test(
    ${FILENAME_TEST_SRCS}
    TEST_NAME "filetree_test"
    LINK_LIBRARIES  Qt5::Test 
    KF5::CoreAddons
)

=== debian/changelog ===
filelight (4:20.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.12.0).
  * Update the build dependencies according to the upstream build system:
    - Qt >= 5.12
    - KF5 >= 5.71
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Update project homepage.
  * Borrow minimal upstream signing key from k3b.
  * Refresh upstream metadata:
    - add Bug-Database and Bug-Submit
    - drop Contact and Name fields already present in machine readable
      copyright
    - move VCS URLs to invent.kde.org
  * Bump debhelper compatibility level to 13.
  * Build with hardening=+all build hardening flag.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 12 Dec 2020 16:42:29 +0100

=== debian/control ===
Source: filelight
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               libkf5coreaddons-dev (>= 5.71.0~),
               libkf5doctools-dev (>= 5.71.0~),
               libkf5i18n-dev (>= 5.71.0~),
               libkf5kio-dev (>= 5.71.0~),
               libkf5parts-dev (>= 5.71.0~),
               libkf5solid-dev (>= 5.71.0~),
               libkf5xmlgui-dev (>= 5.71.0~),
               libqt5svg5-dev (>= 5.12.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.12.0~),
               qtscript5-dev (>= 5.12.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/filelight
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/filelight
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/filelight.git

Package: filelight
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: show where your diskspace is being used
 Filelight allows you to understand your disk usage by graphically
 representing your filesystem as a set of concentric, segmented rings.
 .
 It is like a pie-chart, but the segments nest, allowing you to see both
 which directories take up all your space, and which directories
 and files inside those directories are the real culprits.

## filelight 20.12.3

=== debian/changelog ===
filelight (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:15:27 +0000

filelight (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:49:51 +0000

filelight (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:07:30 +0000

## filelight 21.08.0

=== debian/changelog ===
filelight (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 15:44:52 +0900

filelight (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed George Kiagiadakis, Maximiliano Curia, Modestas Vainius from
    the uploaders, thanks for your work on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Tue, 27 Apr 2021 22:56:14 +0900

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,23 @@
 Source: filelight
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>,
-           Modestas Vainius <modax@debian.org>,
-           George Kiagiadakis <kiagiadakis.george@gmail.com>,
-           Maximiliano Curia <maxy@debian.org>,
-Build-Depends: cmake (>= 3.5~),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>,
+           Sune Vuorela <sune@debian.org>,
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.71.0~),
+               extra-cmake-modules (>= 5.83.0~),
                gettext,
                libkf5coreaddons-dev (>= 5.71.0~),
                libkf5doctools-dev (>= 5.71.0~),
-               libkf5i18n-dev (>= 5.71.0~),
-               libkf5kio-dev (>= 5.71.0~),
+               libkf5i18n-dev (>= 5.83.0~),
+               libkf5kio-dev (>= 5.83.0~),
                libkf5parts-dev (>= 5.71.0~),
                libkf5solid-dev (>= 5.71.0~),
-               libkf5xmlgui-dev (>= 5.71.0~),
-               libqt5svg5-dev (>= 5.12.0~),
+               libkf5xmlgui-dev (>= 5.83.0~),
+               libqt5svg5-dev (>= 5.15.0~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.12.0~),
+               qtbase5-dev (>= 5.15.0~),
                qtscript5-dev (>= 5.12.0~),
 Standards-Version: 4.5.1
 Rules-Requires-Root: no

## filelight 21.08.1

=== debian/changelog ===
filelight (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:30:02 +0100

filelight (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 08:58:06 +0100

filelight (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 12:50:32 +0100

filelight (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:30:34 +0100

filelight (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:38:55 +0100

filelight (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:35:09 +0100

filelight (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:02:07 +0100

filelight (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:29:48 +0100

## filelight 21.12.3

=== CMakeLists.txt ===
#######################################################################
# SPDX-FileCopyrightText: 2008-2014 Martin Sandsmark <martin.sandsmark@kde.org>
#
# SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL
#######################################################################


# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "21")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
set(FILELIGHT_VERSION ${RELEASE_SERVICE_VERSION})
# minimum requirements

cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
project(Filelight VERSION ${FILELIGHT_VERSION})

set(PROJECT_VERSION ${RELEASE_SERVICE_VERSION})
set(KF5_MIN_VERSION "5.85.0")
set(QT_REQUIRED_VERSION "5.15.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(ECMAddAppIcon)
include(ECMGenerateHeaders)
include(ECMInstallIcons)
include(ECMMarkNonGuiExecutable)
include(ECMOptionalAddSubdirectory)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Widgets Svg)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
    XmlGui # For app
    KIO # For part
    I18n
)
find_package(KF5DocTools) # Optional, not needed on Windows for example.

add_definitions(-DTRANSLATION_DOMAIN=\"filelight\")
add_definitions(-DQT_NO_FOREACH)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055500)

include_directories(src)

add_subdirectory(src)
add_subdirectory(misc)
add_subdirectory(autotests)

if (KF5DocTools_FOUND)
    add_subdirectory(doc)
endif()

ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

find_package(Qt5Test ${QT_MIN_VERSION} REQUIRED Test)
find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)

add_subdirectory(core)

=== src/CMakeLists.txt ===
#######################################################################
# SPDX-FileCopyrightText: 2008-2014 Martin Sandsmark <martin.sandsmark@kde.org>
# SPDX-FileCopyrightText: 2017 Harald Sitter <sitter@kde.org>
#
# SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL
#######################################################################

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX FILELIGHT
    VERSION_HEADER version.h)

add_executable(filelight)
target_sources(filelight PRIVATE
    radialMap/widget.cpp
    radialMap/map.cpp
    radialMap/widgetEvents.cpp
    radialMap/labels.cpp
    scan.cpp
    progressBox.cpp
    Config.cpp
    settingsDialog.cpp
    fileTree.cpp
    localLister.cpp
    remoteLister.cpp
    summaryWidget.cpp
    historyAction.cpp
    mainWindow.cpp
    main.cpp
    settingsDialog.h
    fileTree.h
    radialMap/map.h
    radialMap/radialMap.h
    radialMap/sincos.h
    radialMap/widget.h
    scan.h
    define.h
    localLister.h
    remoteLister.h
    historyAction.h
    Config.h
    mainWindow.h
    progressBox.h
    summaryWidget.h
)
ecm_qt_declare_logging_category(filelight HEADER filelight_debug.h IDENTIFIER FILELIGHT_LOG CATEGORY_NAME org.kde.filelight DESCRIPTION "filelight" EXPORT FILELIGHT)

set(filelight_ICONS
    ${CMAKE_CURRENT_SOURCE_DIR}/../misc/16-apps-filelight.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../misc/32-apps-filelight.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../misc/48-apps-filelight.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../misc/64-apps-filelight.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../misc/128-apps-filelight.png
)
ecm_add_app_icon(filelight ICONS
    ${filelight_ICONS})
ki18n_wrap_ui(filelight dialog.ui)

target_link_libraries(filelight
    KF5::I18n
    KF5::XmlGui
    KF5::KIOWidgets # Only used for KDirLister, may be able to move away from that.
    Qt::Svg
)
if (WIN32)
    find_package(KDEWin REQUIRED)
    target_link_libraries(filelight kdewin)
endif()

install(TARGETS filelight ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
ecm_qt_install_logging_categories(
        EXPORT FILELIGHT
        FILE filelight.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

=== autotests/core/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,6 @@
 ecm_add_test(
     ${FILENAME_TEST_SRCS}
     TEST_NAME "filetree_test"
-    LINK_LIBRARIES  Qt5::Test 
+    LINK_LIBRARIES  Qt::Test 
     KF5::CoreAddons
 )

=== debian/changelog ===
filelight (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:06:22 +0000

filelight (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:12:52 +0000

filelight (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:20:45 +0000

filelight (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:17:32 +0000

filelight (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:02:03 +0000

filelight (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:13:07 +0000

filelight (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:22:44 +0000

filelight (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:36:16 +0000

=== debian/control ===
Source: filelight
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               libkf5coreaddons-dev (>= 5.71.0~),
               libkf5doctools-dev (>= 5.71.0~),
               libkf5i18n-dev (>= 5.71.0~),
               libkf5kio-dev (>= 5.71.0~),
               libkf5parts-dev (>= 5.71.0~),
               libkf5solid-dev (>= 5.71.0~),
               libkf5xmlgui-dev (>= 5.71.0~),
               libqt5svg5-dev (>= 5.12.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.12.0~),
               qtscript5-dev (>= 5.12.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/filelight
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/filelight
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/filelight

Package: filelight
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: show where your diskspace is being used
 Filelight allows you to understand your disk usage by graphically
 representing your filesystem as a set of concentric, segmented rings.
 .
 It is like a pie-chart, but the segments nest, allowing you to see both
 which directories take up all your space, and which directories
 and files inside those directories are the real culprits.

## filelight 22.08.2

=== debian/changelog ===
filelight (4:22.08.2-0ubuntu1) kinetic; urgency=medium

  * New upstream bugfix release (22.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Oct 2022 08:14:07 +0100

filelight (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:35:55 +0100

filelight (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Drop upstream_make-sure-we-always-show-a-size-on-posix.patch
    included in this release.
  * Update build depend from cmake.
  * Add qml-module runtime depends, as indicated by cmake output.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:46:17 +0100

filelight (4:22.04.3-3ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Fri, 05 Aug 2022 15:23:43 +0100

filelight (4:22.04.3-3) unstable; urgency=medium

  * Team upload.
  * Make the test suite non-fatal for now, as DirectoryIterator/POSIXWalker
    or its tests fails on filesystems with large inodes/blocks.

 -- Pino Toscano <pino@debian.org>  Tue, 26 Jul 2022 19:26:03 +0200

filelight (4:22.04.3-2) unstable; urgency=medium

  * Team upload.
  * Actually drop the pkg-kde-tools build dependency (forgotten to be removed
    as part of the changes in 4:22.04.3-1).
  * Backport upstream commit e98a0c6dc739dfd3d734b0f8bbe154ee59c775a9 to make
    sure to always show a size of a filesystem entry even if 0 blocks are
    reported for it; patch
    upstream_make-sure-we-always-show-a-size-on-posix.patch.
  * Before building, as a way to help diagnose issues in
    DirectoryIterator/POSIXWalker, print:
    - the filesystem information for the source directory
    - the information on some of the test files

 -- Pino Toscano <pino@debian.org>  Sat, 16 Jul 2022 10:38:14 +0200

filelight (4:22.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Update the build dependencies according to the upstream build system:
    - bump the KF5 packages to 5.91.0
    - drop libkf5parts-dev, libkf5solid-dev, and qtscript5-dev, no more needed
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sat, 16 Jul 2022 06:44:00 +0200

filelight (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:23:31 +0100

filelight (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:57:10 +0100

filelight (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:53:59 +0100

filelight (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:43:46 +0100

filelight (4:21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * CI: enable blhc, as it should work fine now.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Mar 2022 15:42:57 +0100

filelight (4:21.12.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.2).
  * Bump Standards-Version to 4.6.0, no change required.
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 03 Mar 2022 00:10:50 +0100

=== debian/control ===
Source: filelight
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.94.0~),
               gettext,
               libkf5coreaddons-dev (>= 5.91.0~),
               libkf5declarative-dev (>= 5.94.0~),
               libkf5doctools-dev,
               libkf5i18n-dev (>= 5.94.0~),
               libkf5kio-dev (>= 5.94.0~),
               libkf5xmlgui-dev (>= 5.94.0~),
               libqt5svg5-dev (>= 5.15.2~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/filelight
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/filelight
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/filelight

Package: filelight
Architecture: any
Depends: qml-module-org-kde-kirigami2,
         qml-module-org-kde-qqc2desktopstyle,
         qml-module-org-kde-quickcharts,
         ${misc:Depends},
         ${shlibs:Depends},
Description: show where your diskspace is being used
 Filelight allows you to understand your disk usage by graphically
 representing your filesystem as a set of concentric, segmented rings.
 .
 It is like a pie-chart, but the segments nest, allowing you to see both
 which directories take up all your space, and which directories
 and files inside those directories are the real culprits.

## filelight 22.12.3

=== CMakeLists.txt ===
#######################################################################
# SPDX-FileCopyrightText: 2008-2014 Martin Sandsmark <martin.sandsmark@kde.org>
# SPDX-FileCopyrightText: 2022 Harald Sitter <sitter@kde.org>
#
# SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL
#######################################################################

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "22")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
set(FILELIGHT_VERSION ${RELEASE_SERVICE_VERSION})
# minimum requirements

cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
project(Filelight VERSION ${FILELIGHT_VERSION})

set(PROJECT_VERSION ${RELEASE_SERVICE_VERSION})
set(KF5_MIN_VERSION "5.98.0")
set(QT_REQUIRED_VERSION "5.15.2")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(ECMAddAppIcon)
include(ECMGenerateHeaders)
include(ECMInstallIcons)
include(ECMMarkNonGuiExecutable)
include(ECMOptionalAddSubdirectory)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMFindQmlModule)

find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Widgets Svg Quick QuickControls2)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
    XmlGui # For app
    KIO # For part
    I18n
)
find_package(KF5DocTools) # Optional, not needed on Windows for example.

find_package(KF5QQC2DesktopStyle ${KF5_MIN_VERSION})
set_package_properties(KF5QQC2DesktopStyle PROPERTIES TYPE RUNTIME)

ecm_find_qmlmodule(org.kde.kirigami 2.19)
ecm_find_qmlmodule(org.kde.quickcharts 1.0)
ecm_find_qmlmodule(Qt.labs.platform 1.1)

add_definitions(-DTRANSLATION_DOMAIN=\"filelight\")

ecm_set_disabled_deprecation_versions(QT 5.15.2
    KF 5.92
)

include_directories(src)

add_subdirectory(src)
add_subdirectory(misc)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

if (KF5DocTools_FOUND)
    add_subdirectory(doc)
endif()

ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
if(CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_CURRENT_BINARY_DIR)
    message(FATAL_ERROR "Building tests in-source is not supported, please use a separate build dir or -DBUILD_TESTING=OFF.")
endif()

include(ECMAddTests)

find_package(Qt${QT_MAJOR_VERSION}Test ${QT_MIN_VERSION} REQUIRED Test)
find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)

add_subdirectory(core)

# Synthesize links. On some windowses the git install is set to not support symlinks (plus it may not be able to
# create them). Instead synthesize the links at configure time and configure the test accordingly.
file(REMOVE_RECURSE ${CMAKE_CURRENT_BINARY_DIR}/iterator-tree.in ${CMAKE_CURRENT_BINARY_DIR}/iterator-tree)
file(COPY ${CMAKE_CURRENT_SOURCE_DIR}/iterator-tree.in DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
file(RENAME ${CMAKE_CURRENT_BINARY_DIR}/iterator-tree.in ${CMAKE_CURRENT_BINARY_DIR}/iterator-tree)
set(ITERATOR_TREE_WITH_SYMLINK ON)
file(CREATE_LINK ${CMAKE_CURRENT_BINARY_DIR}/iterator-tree/bar ${CMAKE_CURRENT_BINARY_DIR}/iterator-tree/symlink RESULT ITERATOR_TREE_WITH_SYMLINK SYMBOLIC)
set(ITERATOR_TREE_WITH_LINK ON)
file(CREATE_LINK ${CMAKE_CURRENT_BINARY_DIR}/iterator-tree/bar ${CMAKE_CURRENT_BINARY_DIR}/iterator-tree/link RESULT ITERATOR_TREE_WITH_LINK)
configure_file(test-config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/test-config.h)

ecm_add_test(directoryIteratorTest.cpp TEST_NAME directoryIteratorTest LINK_LIBRARIES Qt::Test filelightInternal)

=== debian/changelog ===
filelight (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:44 +0100

filelight (4:22.12.2-2) unstable; urgency=medium

  * Team upload.
  * Add the missing qml-module-qt-labs-platform runtime dependency.
    (Closes: #1031908)

 -- Pino Toscano <pino@debian.org>  Sat, 25 Feb 2023 09:07:07 +0100

filelight (4:22.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Re-export upstream signing key without extra signatures.
  * Add missing runtime dependencies: qml-module-org-kde-kcoreaddons, and
    qml-module-org-kde-quickcharts. (Closes: #1030549)

 -- Pino Toscano <pino@debian.org>  Sat, 04 Feb 2023 23:50:24 +0100

filelight (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 22:33:28 +0100

filelight (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:27 +0100

filelight (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Drop backported upstream patch.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:12:48 +0100

=== debian/control ===
Source: filelight
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.98.0~),
               gettext,
               libkf5coreaddons-dev (>= 5.91.0~),
               libkf5declarative-dev (>= 5.94.0~),
               libkf5doctools-dev,
               libkf5i18n-dev (>= 5.98.0~),
               libkf5kio-dev (>= 5.98.0~),
               libkf5xmlgui-dev (>= 5.98.0~),
               libqt5svg5-dev (>= 5.15.2~),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtquickcontrols2-5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/filelight
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/filelight
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/filelight.git

Package: filelight
Architecture: any
Depends: qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-quickcharts,
         qml-module-qt-labs-platform,
         ${misc:Depends},
         ${shlibs:Depends},
Description: show where your diskspace is being used
 Filelight allows you to understand your disk usage by graphically
 representing your filesystem as a set of concentric, segmented rings.
 .
 It is like a pie-chart, but the segments nest, allowing you to see both
 which directories take up all your space, and which directories
 and files inside those directories are the real culprits.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_before_dh_auto_build:
	# print the filesystem info (that include the block sizes) to help
	# debugging issues in DirectoryIterator/POSIXWalker
	LANG=C stat -f .
	# info on the test files
	LANG=C stat autotests/iterator-tree.in/*

override_dh_auto_test:
	- dh_auto_test

## filelight 23.03.70~git20230107.902a9547

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 #######################################################################
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "22")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "23")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 set(FILELIGHT_VERSION ${RELEASE_SERVICE_VERSION})
 # minimum requirements
@@ -50,14 +50,14 @@
 find_package(KF5QQC2DesktopStyle ${KF5_MIN_VERSION})
 set_package_properties(KF5QQC2DesktopStyle PROPERTIES TYPE RUNTIME)
 
+ecm_find_qmlmodule(org.kde.kcoreaddons 1.0)
 ecm_find_qmlmodule(org.kde.kirigami 2.19)
 ecm_find_qmlmodule(org.kde.quickcharts 1.0)
-ecm_find_qmlmodule(Qt.labs.platform 1.1)
 
 add_definitions(-DTRANSLATION_DOMAIN=\"filelight\")
 
 ecm_set_disabled_deprecation_versions(QT 5.15.2
-    KF 5.92
+    KF 5.101
 )
 
 include_directories(src)

=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -21,3 +21,8 @@
 configure_file(test-config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/test-config.h)
 
 ecm_add_test(directoryIteratorTest.cpp TEST_NAME directoryIteratorTest LINK_LIBRARIES Qt::Test filelightInternal)
+if(CMAKE_SYSTEM_NAME MATCHES "Linux")
+    # Fails on freebsd for unknown reasons -> only run it on linux.
+    ecm_add_test(localListerTest.cpp TEST_NAME localListerTest LINK_LIBRARIES Qt::Test filelightInternal)
+endif()
+ecm_add_test(scanManagerTest.cpp TEST_NAME scanManagerTest LINK_LIBRARIES Qt::Test filelightInternal)

=== src/CMakeLists.txt ===
#######################################################################
# SPDX-FileCopyrightText: 2008-2014 Martin Sandsmark <martin.sandsmark@kde.org>
# SPDX-FileCopyrightText: 2017-2022 Harald Sitter <sitter@kde.org>
#
# SPDX-License-Identifier: GPL-2.0-only OR GPL-3.0-only OR LicenseRef-KDE-Accepted-GPL
#######################################################################

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX FILELIGHT
    VERSION_HEADER version.h)

include(CheckCXXSymbolExists)
check_cxx_symbol_exists(sincos "math.h" HAVE_SINCOS)
if (HAVE_SINCOS)
    add_definitions(-DHAVE_SINCOS)
endif()

add_library(filelightInternal STATIC
    fileTree.cpp
    directoryIterator.cpp
    fileCleaner.cpp
    scan.cpp
    Config.cpp
    localLister.cpp
    remoteLister.cpp
)
ecm_qt_declare_logging_category(filelightInternal HEADER filelight_debug.h IDENTIFIER FILELIGHT_LOG CATEGORY_NAME org.kde.filelight DESCRIPTION "filelight" EXPORT FILELIGHT)
if (WIN32)
    target_sources(filelightInternal PRIVATE windowsWalker.cpp)
else()
    target_sources(filelightInternal PRIVATE posixWalker.cpp)
endif()
target_link_libraries(filelightInternal
    Qt${QT_MAJOR_VERSION}::Gui
    KF5::CoreAddons
    KF5::ConfigCore
    KF5::I18n
    KF5::KIOWidgets # Only used for KDirLister, may be able to move away from that.
)

add_executable(filelight)
target_sources(filelight PRIVATE
    radialMap/map.cpp
    radialMap/radialMap.cpp
    historyAction.cpp
    mainContext.cpp
    main.cpp
    fileTree.h
    radialMap/map.h
    radialMap/radialMap.h
    radialMap/sincos.h
    scan.h
    define.h
    localLister.h
    remoteLister.h
    historyAction.h
    Config.h
    qml/qml.qrc
    contextMenuContext.cpp
    fileModel.cpp
    dropperItem.cpp
)

set(filelight_ICONS
    ${CMAKE_CURRENT_SOURCE_DIR}/../misc/16-apps-filelight.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../misc/32-apps-filelight.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../misc/48-apps-filelight.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../misc/64-apps-filelight.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../misc/128-apps-filelight.png
)
ecm_add_app_icon(filelight ICONS
    ${filelight_ICONS})

target_link_libraries(filelight
    KF5::I18n
    KF5::XmlGui
    Qt${QT_MAJOR_VERSION}::Svg
    Qt${QT_MAJOR_VERSION}::Quick
    Qt${QT_MAJOR_VERSION}::QuickControls2
    filelightInternal
)
if (WIN32)
    find_package(KDEWin REQUIRED)
    target_link_libraries(filelight kdewin)
endif()

install(TARGETS filelight ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
ecm_qt_install_logging_categories(
        EXPORT FILELIGHT
        FILE filelight.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

=== autotests/core/CMakeLists.txt ===
if(NOT UNIX)
    return()
endif()

SET(FILENAME_TEST_SRCS
    testFileTree.cpp
)

ecm_add_test(
    ${FILENAME_TEST_SRCS}
    TEST_NAME "filetree_test"
    LINK_LIBRARIES  Qt${QT_MAJOR_VERSION}::Test filelightInternal
    KF5::CoreAddons
)

=== debian/changelog ===
filelight (4:23.03.70~git20230107.902a9547-2) experimental; urgency=medium

  * Team upload.
  * This new version has tests that require a display, so:
    - add the xvfb, and xauth build dependencies
    - run dh_auto_test via xvfb-run

 -- Pino Toscano <pino@debian.org>  Tue, 10 Jan 2023 07:46:40 +0100

filelight (4:23.03.70~git20230107.902a9547-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream git snapshot (23.03.70~git20230107.902a9547).

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Jan 2023 21:59:56 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+Uploaders: Aurélien COUDERC <coucouf@debian.org>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
@@ -18,6 +18,8 @@
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtquickcontrols2-5-dev (>= 5.15.2~),
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/filelight
@@ -26,11 +28,7 @@
 
 Package: filelight
 Architecture: any
-Depends: qml-module-org-kde-kcoreaddons,
-         qml-module-org-kde-quickcharts,
-         qml-module-qt-labs-platform,
-         ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: show where your diskspace is being used
  Filelight allows you to understand your disk usage by graphically
  representing your filesystem as a set of concentric, segmented rings.

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,4 @@
 	LANG=C stat autotests/iterator-tree.in/*
 
 override_dh_auto_test:
-	- dh_auto_test
+	- xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test

## filelight 23.04.2

=== debian/changelog ===
filelight (4:23.04.2-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump libkf5coreaddons-dev to 5.98.0, like the other KF packages
    - drop no more needed: libkf5declarative-dev, and libqt5svg5-dev
  * Add the missing qml-module-org-kde-kirigami2 runtime dependency.
  * disable the fixfilepath reproducibility feature, as it breaks
    QFINDTESTDATA (and thus some tests fail).

 -- Pino Toscano <pino@debian.org>  Tue, 20 Jun 2023 05:20:17 +0200

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,17 @@
 Section: kde
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
                extra-cmake-modules (>= 5.98.0~),
                gettext,
-               libkf5coreaddons-dev (>= 5.91.0~),
-               libkf5declarative-dev (>= 5.94.0~),
+               libkf5coreaddons-dev (>= 5.98.0~),
                libkf5doctools-dev,
                libkf5i18n-dev (>= 5.98.0~),
                libkf5kio-dev (>= 5.98.0~),
                libkf5xmlgui-dev (>= 5.98.0~),
-               libqt5svg5-dev (>= 5.15.2~),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtquickcontrols2-5-dev (>= 5.15.2~),
@@ -28,7 +26,12 @@
 
 Package: filelight
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: qml-module-org-kde-kcoreaddons,
+         qml-module-org-kde-kirigami2,
+         qml-module-org-kde-quickcharts,
+         qml-module-qt-labs-platform,
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: show where your diskspace is being used
  Filelight allows you to understand your disk usage by graphically
  representing your filesystem as a set of concentric, segmented rings.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+# Disable fixfilepath, as it triggers build failures.
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath
 
 %:
 	dh $@

## filelight 23.08.1

=== debian/changelog ===
filelight (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:55:15 +0100

filelight (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:50:05 +0100

filelight (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:30:10 +0100

filelight (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:42:17 +0100

filelight (4:23.04.2-0ubuntu1) mantic; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

  [ Rik Mills ]
  * Add runtime depends on qml-module-qt-labs-platform, as indicated in
    cmake output.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:53:50 +0100

filelight (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:34:16 +0000

filelight (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:10:41 -0600

filelight (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:11:30 +0000

filelight (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
  * Runtime deps on qml-module-org-kde-kirigami2, qml-module-org-kde-
    qqc2desktopstyle, and qml-module-org-kde-quickcharts

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Jan 2023 12:47:13 +0000

filelight (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:05:08 +0000

filelight (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:01:34 +0000

filelight (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:47:44 +0000

filelight (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:05:13 +0000
